Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class ItemObjectProxyImpl

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.ItemObjectProxyImpl

All Implemented Interfaces
  ItemObject, PoolObject, Comparable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class ItemObjectProxyImpl

extends Object
implements ItemObject

This classes uses a LineItem object to get values for the pool object.

See Also
  `LineItem`

Field Summary
`static String` | `cName` Deprecated See BEA Commerce product offering

Constructor Summary
`ItemObjectProxyImpl()` Deprecated See BEA Commerce product offering
`ItemObjectProxyImpl(Pool pool, LineItem lineItem, int line, int position)` Deprecated See BEA Commerce product offering

Method Summary
`int` | `compareTo(Object obj)` Deprecated See BEA Commerce product offering
`boolean` | `equalLineItem(ItemObject object)` Deprecated See BEA Commerce product offering
`boolean` | `equals(Object obj)` Deprecated See BEA Commerce product offering
`Money` | `getActualPrice()` Deprecated See BEA Commerce product offering
`Money` | `getBasePrice()` Deprecated See BEA Commerce product offering
`CategoryKey[]` | `getCategoryKeys()` Deprecated See BEA Commerce product offering
`CatalogItemKey` | `getItemKey()` Deprecated See BEA Commerce product offering
`LineItem` | `getLineItem()` Deprecated See BEA Commerce product offering
`Money` | `getMsrp()` Deprecated See BEA Commerce product offering
`Pool` | `getPool()` Deprecated See BEA Commerce product offering
`String` | `getUID()` Deprecated See BEA Commerce product offering
`int` | `hashCode()` Deprecated See BEA Commerce product offering
`void` | `set(Pool pool, LineItem lineItem, int line, int position)` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering
`static String` | `toString(Iterator it, int size)` Deprecated See BEA Commerce product offering
`static String` | `toString(List list)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### ItemObjectProxyImpl

    public ItemObjectProxyImpl()

  Deprecated See BEA Commerce product offering

### ItemObjectProxyImpl

    public ItemObjectProxyImpl(Pool pool,
                               LineItem lineItem,
                               int line,
                               int position)

  Deprecated See BEA Commerce product offering

Method Detail

### set

    public void set(Pool pool,
                    LineItem lineItem,
                    int line,
                    int position)

  Deprecated See BEA Commerce product offering

### getActualPrice

    public Money getActualPrice()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `PoolObject`
  returns the current price of the object

  Specified by:
    `getActualPrice` in interface `PoolObject`
  Returns
    Money a money object that represents the current price of the current.
  See Also
    `Money`

### getBasePrice

    public Money getBasePrice()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ItemObject`
  Corresponds to ProductItem.getCurrentPrice()

  Specified by:
    `getBasePrice` in interface `ItemObject`
  Returns
    Money a money object that represents the base price of the item.
  See Also
    `Money`, `ProductItem`

### getMsrp

    public Money getMsrp()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ItemObject`
  Corresponds to ProductItem.getMsrp()

  Specified by:
    `getMsrp` in interface `ItemObject`
  Returns
    Money a money object that represents the MSRP price of the item.
  See Also
    `Money`, `ProductItem`

### getItemKey

    public CatalogItemKey getItemKey()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ItemObject`
  Corresponds to ProductItem.getCatalogItemKey()

  Specified by:
    `getItemKey` in interface `ItemObject`
  Returns
    CatalogItemKey the item key for this item.
  See Also
    `CatalogItemKey`, `ProductItem`

### getCategoryKeys

    public CategoryKey[] getCategoryKeys()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ItemObject`
  Corresponds to ProductItem.XXXXX()

  Specified by:
    `getCategoryKeys` in interface `ItemObject`
  Returns
    CategoryKey the key for the categor(ies) of this item.
  See Also
    `CategoryKey`, `ProductItem`

### equalLineItem

    public boolean equalLineItem(ItemObject object)

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ItemObject`
  returns true if the given object comes from the same LineItem.

  Specified by:
    `equalLineItem` in interface `ItemObject`

### getLineItem

    public LineItem getLineItem()

  Deprecated See BEA Commerce product offering

  used by the pool to adjust the underlying line item

  Specified by:
    `getLineItem` in interface `ItemObject`

### compareTo

    public int compareTo(Object obj)

  Deprecated See BEA Commerce product offering

  May throw ClassCastException if obj is not a ItemObjectProxyImpl.

  Specified by:
    `compareTo` in interface `Comparable`

### equals

    public boolean equals(Object obj)

  Deprecated See BEA Commerce product offering

  Overrides:
    `equals` in class `Object`

### getUID

    public String getUID()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `PoolObject`
  Returns the unique identifying string for this object.

  Specified by:
    `getUID` in interface `PoolObject`
  Returns
    String unique identifying string for this PoolObject.

### getPool

    public Pool getPool()

  Deprecated See BEA Commerce product offering

  Specified by:
    `getPool` in interface `PoolObject`

### hashCode

    public int hashCode()

  Deprecated See BEA Commerce product offering

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Overrides:
    `toString` in class `Object`

### toString

    public static String toString(List list)

  Deprecated See BEA Commerce product offering

### toString

    public static String toString(Iterator it,
                                  int size)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved